adonthell-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[adonthell-wastesedge-commits] master 16eedb1 17/21: ADDED bitmap to use


From: Kai Sterker
Subject: [adonthell-wastesedge-commits] master 16eedb1 17/21: ADDED bitmap to use as Window and taskbar icon
Date: Mon, 25 Jul 2016 18:16:39 +0000 (UTC)

branch: master
commit 16eedb1ddf600d946283fdcbc6cc46798a4834a7
Author: Kai Sterker <address@hidden>
Commit: Kai Sterker <address@hidden>

    ADDED bitmap to use as Window and taskbar icon
    ADDED user interface to installer
---
 Makefile.am              |    2 +-
 make_windows_pkg.sh      |   11 ++++++++++-
 win32/icon32.bmp         |  Bin 0 -> 4166 bytes
 win32/make_msi.sh        |   26 +++++++++++++++++++++-----
 win32/wastesedge-x64.wxs |   41 +++++++++++++++++++++++++++++++++++++----
 5 files changed, 69 insertions(+), 11 deletions(-)

diff --git a/Makefile.am b/Makefile.am
index d2af018..e133d08 100755
--- a/Makefile.am
+++ b/Makefile.am
@@ -12,7 +12,7 @@ EXTRA_DIST = config.rpath mkinstalldirs  config.rpath  
$(pkgdata_DATA) PLAYING a
        debian/control debian/copyright debian/dirs debian/rules debian/menu \
        debian/compat debian/docs wastesedge.spec.in wastesedge.spec 
wastesedge.desktop.in \
        win32/COPYING win32/PLAYING.txt win32/make_msi.sh win32/README.txt \
-       win32/wastesedge.ico win32/wastesedge-x64.wxs \
+       win32/wastesedge.ico win32/icon32.bmp win32/wastesedge-x64.wxs \
        osx/Copying.html osx/Install.html osx/Playing.html osx/ReadMe.html \
        osx/adonthell.icns make_bundle.sh make_windows_pkg.sh
 
diff --git a/make_windows_pkg.sh b/make_windows_pkg.sh
index 001ba66..118f8e5 100755
--- a/make_windows_pkg.sh
+++ b/make_windows_pkg.sh
@@ -51,7 +51,16 @@ if [ $? -ne 0 ]; then
 fi
 
 # -- copy icon
-#cp osx/adonthell.icns $prefix/Resources
+cp win32/wastesedge.ico $prefix/bin/
+cp win32/icon32.bmp $prefix/games/wastesedge/gfx/
+
+# -- optionally add icon to adonthell.exe
+#    requires rcedit to be in PATH: https://github.com/atom/rcedit/releases/
+#    The alternative would be to add the icon when compiling adonthell
+#    via its .rc file, but this seems to be somewhat backwards 
+if [ -x "$(command -v rcedit)" ]; then
+  rcedit $APP --set-icon win32/wastesedge.ico
+fi
 
 # -- create a launch script that works inside the bundle
 cat > $prefix/${appname} <<EOF
diff --git a/win32/icon32.bmp b/win32/icon32.bmp
new file mode 100644
index 0000000..9ee2f5f
Binary files /dev/null and b/win32/icon32.bmp differ
diff --git a/win32/make_msi.sh b/win32/make_msi.sh
index 64b2e38..b29a7a6 100755
--- a/win32/make_msi.sh
+++ b/win32/make_msi.sh
@@ -1,7 +1,6 @@
 #!/bin/sh
 
-# -- specify installer architecture (x64 or x86)
-arch="x64"
+# -- determine installer architecture (x64 or x86)
 adonthell_exe="adonthell-0.3.exe"
 
 # -- check arg
@@ -15,8 +14,23 @@ if test ! -f $1"/bin/$adonthell_exe" ; then
   exit 1
 fi
 
+# -- get platform
+arch=`file ../../adonthell-0.3/Adonthell/bin/adonthell-0.3.exe | grep -o -e 
x86-64 -e 80386`
+case $arch in
+       x86-64)
+               arch="x64"
+               ;;
+       80386)
+               arch="x86"
+               ;;
+       *)
+               echo "Unknown platform $arch"
+               exit 1
+               ;;
+esac
+
 # -- check working directory
-if [ ! -f "wastesedge.wxs" ]; then
+if [ ! -f "wastesedge-$arch.wxs" ]; then
   echo "This script must be run in the wastesedge-0.3.x/win32 directory"
   exit 1
 fi
@@ -24,6 +38,8 @@ fi
 # -- get adonthell version
 adonthell_ver=`$1/bin/$adonthell_exe -v`
 
+echo "Creating wastesedge-$adonthell_ver-$arch.msi"
+
 # -- clean up any __pycache__ directories before collecting package contents
 find ../../adonthell-0.3/Adonthell/ -name __pycache__ -execdir rm -rf 
__pycache__ \;
  
@@ -39,8 +55,8 @@ if [ $? -ne 0 ]; then
    exit 1
 fi
 
-# -- linl
-light -b $1 -sw1076 wastesedge-$arch.wixobj package.wixobj -o 
wastesedge-$adonthell_ver-$arch.msi
+# -- link
+light -b $1 -sw1076 -ext WixUIExtension wastesedge-$arch.wixobj package.wixobj 
-o wastesedge-$adonthell_ver-$arch.msi
 if [ $? -ne 0 ]; then
    exit 1
 fi
diff --git a/win32/wastesedge-x64.wxs b/win32/wastesedge-x64.wxs
index 00ca277..6fd64d8 100644
--- a/win32/wastesedge-x64.wxs
+++ b/win32/wastesedge-x64.wxs
@@ -23,6 +23,7 @@
             DowngradeErrorMessage="A newer version of [ProductName] is already 
installed. If you are sure you want to downgrade, remove the existing 
installation via Programs and Features." />
         <Media Id='1' Cabinet='Wastesedge.cab' EmbedCab='yes' />
        <Icon Id="wastesedge.ico" SourceFile="SourceDir\bin\wastesedge.ico"/>
+       <Property Id="WIXUI_EXITDIALOGOPTIONALCHECKBOXTEXT" Value="Launch 
Adonthell - Waste's Edge." />
        <Property Id="ARPPRODUCTICON" Value="wastesedge.ico" />    
         <Directory Id='TARGETDIR' Name='SourceDir'>
            <Directory Id='ProgramFiles64Folder' Name='PFiles'>
@@ -62,10 +63,42 @@
                 </Component>
             </Directory>
         </Directory>
-        <Feature Id='Complete' Level='1'>
-                       <ComponentRef Id='ProgramMenuIcon' />
-                       <ComponentRef Id='DesktopIcon' />
+        <Feature Id='Program' 
+               Level='1'
+               Title="Adonthell - Waste's Edge" 
+               Description='Install program and data files'
+               Absent='disallow'
+               AllowAdvertise='no'
+               ConfigurableDirectory='INSTALLDIR'>
                    <ComponentGroupRef Id='WastesedgePackage' />
-               </Feature>        
+                               <ComponentRef Id='ProgramMenuIcon' />
+               </Feature>
+        <Feature Id='DesktopIcon' 
+               Level='2'
+               Title='Desktop Shortcut' 
+               Description='Create desktop shortcut'
+               Absent='allow'
+               AllowAdvertise='no'>
+                       <ComponentRef Id='DesktopIcon' />
+               </Feature>
+               <UI>
+                       <UIRef Id="WixUI_FeatureTree" />
+                       <Publish Dialog="WelcomeDlg"
+                           Control="Next"
+                           Event="NewDialog"
+                           Value="CustomizeDlg"
+                           Order="2">1</Publish>
+                       <Publish Dialog="CustomizeDlg"
+                           Control="Back"
+                           Event="NewDialog"
+                           Value="WelcomeDlg"
+                           Order="3">NOT Installed</Publish>
+                       <Publish Dialog="ExitDialog" 
+                               Control="Finish" 
+                               Order="1" 
+                               Event="DoAction" 
+                               
Value="StartAppOnExit">WIXUI_EXITDIALOGOPTIONALCHECKBOXTEXT</Publish>
+               </UI>
+               <CustomAction Id="StartAppOnExit" Directory="INSTALLDIR" 
ExeCommand="[INSTALLDIR]bin\adonthell-0.3.exe wastesedge" Execute="immediate" 
Impersonate="yes" Return="asyncNoWait" />
        </Product>    
 </Wix>
\ No newline at end of file



reply via email to

[Prev in Thread] Current Thread [Next in Thread]